Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045156
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2020-09-28 16:472020-09-30 07:33
ReporteregoitzView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045156: An error display in the openbravo log when hyperlink date field is clicked in the trial balance report

DescriptionFollowing error displayed in the openbravo.log, when hyperlink date field is clicked in the TRIAL BALANCE report:

2020-07-29 14:50:13,467 [http-9] ERROR org.openbravo.base.VariablesBase - Input: FIND not accepted by filter: org.openbravo.base.filter.ValueListFilter@33cc37ec
java.lang.Throwable: null
    at org.openbravo.base.VariablesBase.filterRequest(VariablesBase.java:136) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:920) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:693) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:847) [openbravo-core.jar:?]
    at org.openbravo.erpCommon.security.Menu.getTargetMenu(Menu.java:172) [classes/:?]
    at org.openbravo.erpCommon.security.Menu.doPost(Menu.java:71) [classes/:?]
Steps To ReproduceLog in as Openbravo/openbravo with default role:F&B International Group Admin
1.Go to Financial Management >> Accounting >> Ananlysis Tools and click on the TRIAL BALANCE REPORT
2. Select From Date as 01-01-2016 and To Date as Current Date
3. Select Organization as F&B International Group
4. Select General Ledger as F&B International Group US/A/US Dollar
5. Click the Search button which will display some records and then click on the hyperlinked date field in the search result record which will redirect to the journal entries report window.
6. In the backend, we can check for the above error mentioned in the openbravo.log file




2020-09-28 14:46:01,382 [http-3] ERROR org.openbravo.base.VariablesBase - Input: FIND not accepted by filter: org.openbravo.base.filter.ValueListFilter@3cd8d316
java.lang.Throwable: null
    at org.openbravo.base.VariablesBase.filterRequest(VariablesBase.java:132) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:916) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:689) [openbravo-core.jar:?]
    at org.openbravo.base.VariablesBase.getStringParameter(VariablesBase.java:843) [openbravo-core.jar:?]
    at org.openbravo.erpCommon.security.Menu.getTargetMenu(Menu.java:172) [classes/:?]
    at org.openbravo.erpCommon.security.Menu.doPost(Menu.java:71) [classes/:?]
    at org.openbravo.base.HttpBaseServlet.doGet(HttpBaseServlet.java:269) [openbravo-core.jar:?]
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:635) [tomcat8-servlet-api-8.5.39.jar:?]
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:200) [openbravo-core.jar:?]
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:459) [classes/:?]
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:742) [tomcat8-servlet-api-8.5.39.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:231) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) [tomcat8-websocket-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66) [openbravo-core.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:38) [openbravo-core.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:65) [classes/:?]
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:47) [classes/:?]
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:74) [classes/:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:96) [classes/:?]
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:47) [classes/:?]
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:118) [classes/:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.logging.log4j.web.Log4jServletFilter.doFilter(Log4jServletFilter.java:71) [log4j-web-2.11.1.jar:2.11.1]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:200) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:493) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:137) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:343) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.coyote.ajp.AjpProcessor.service(AjpProcessor.java:476) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:806) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1498) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) [?:?]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [?:?]
    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) [tomcat8-util-8.5.39.jar:8.5.39]
    at java.lang.Thread.run(Thread.java:834) [?:?]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044718 closedcberner An error display in the openbravo log when hyperlink date field is clicked in the general ledger report 

-  Notes
(0123444)
hgbot (developer)
2020-09-29 09:54

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/184 [^]
(0123457)
hgbot (developer)
2020-09-30 07:32

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/184 [^]
(0123458)
hgbot (developer)
2020-09-30 07:32

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b076b613449e5878a3df35889978e2884cfc1ae4
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-09-29T14:33:43+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b076b613449e5878a3df35889978e2884cfc1ae4 [^]

Fixes ISSUE-45156: Fix Trial Report links generating a Java exception on click

Trial Report links were failing because "FIND" command was not allowed
in Menu class allowed commands. It has been fixed by adding "FIND" to allowed commands.

---
M src/org/openbravo/erpCommon/security/Menu.java
---

- Issue History
Date Modified Username Field Change
2020-09-28 16:47 egoitz New Issue
2020-09-28 16:47 egoitz Assigned To => cberner
2020-09-28 16:47 egoitz Modules => Core
2020-09-28 16:47 egoitz Triggers an Emergency Pack => No
2020-09-28 16:47 egoitz Issue generated from 0044718
2020-09-28 16:47 egoitz Relationship added related to 0044718
2020-09-28 16:51 ngarcia Issue Monitored: ngarcia
2020-09-29 09:54 hgbot Note Added: 0123444
2020-09-29 10:38 cberner Review Assigned To => alostale
2020-09-30 07:32 hgbot Resolution open => fixed
2020-09-30 07:32 hgbot Status new => closed
2020-09-30 07:32 hgbot Note Added: 0123457
2020-09-30 07:32 hgbot Fixed in Version => PR20Q4
2020-09-30 07:32 hgbot Note Added: 0123458
2020-09-30 07:33 alostale Severity major => minor


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker